#define ll long long

#include "vision.h"
#include<bits/stdc++.h>
using namespace std;

vector<int> getVisionPattern1d()
{
    return {1,1,1,2,1,3};
}

int getMove1d(vector<int> v)
{
    if(v.size()==3){
        ll l=v[0],r=v[2];

        if(l==3 && r==1) return 0;
        if(l==1 && r==3) return 2;

        if(l==3 && r==2) return 0;
        if(l==3 && r==2) return 2;

        if(l==1 && r==2) return 2;
        if(l==2 && r==1) return 0;

        if(l==1 && r==1) return 0;
    }
    if(v.size()==5){
        ll l=v[0],r=v[4];

        if(r==3) return 4;
        else return 0;
    }
    if(v.size()==7){
        ll l=v[0],r=v[6];

        if(v[1]==2) return 6;
        else return 0;
    }
}

vector<vector<int>> getVisionPattern2d()
{
    return {{1}};
}

pair<int, int> getMove2d(vector<std::vector<int>> v)
{
    return {0, 0};
}
